Loading...
Searching...
No Matches
log4shib::ConfigureFailure Class Reference

Exception class for configuration. More...

`#include <Configurator.hh>`

Inheritance diagram for log4shib::ConfigureFailure:
[legend]
Collaboration diagram for log4shib::ConfigureFailure:
[legend]

## Public Member Functions

| ConfigureFailure (const std::string &reason)
| Constructor.

## Detailed Description

Exception class for configuration.

## Constructor & Destructor Documentation

## ConfigureFailure()

log4shib::ConfigureFailure::ConfigureFailure | ( | const std::string & | reason | ) |

Constructor.

Parameters

  reason | String containing the description of the exception.

The documentation for this class was generated from the following files:

- Configurator.hh
- Configurator.cpp